<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\RedirectResponse;
use Illuminate\Support\Facades\Auth;

class LoginController extends Controller
{

    public function login(Request $request)
    {
        $validated = $request->validate(
            [
                'email' => 'required|email',
                'password' => 'required',
            ],
            [
                'email.required' => 'O campo de email é obrigatório.',
                'email.email' => 'O email deve ser um email válido.',
                'password.required' => 'O campo de senha é obrigatório.',
            ]
        );

        $request->flashOnly(['email']);
        $oldInput = $request->old('email');

        if (!Auth::attempt($validated)) {
            return redirect()->route('login', status: 302)->with('error', 'Credenciais inválidas');
        }

        $request->session()->regenerate();
        return redirect()->route('dashboard');
    }
}
